<?php 
defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['PAYRA_MerchantID']) ) {
		update_option( 'PAYRA_MerchantID', $_POST['PAYRA_MerchantID'] );
	}
	
	if ( isset($_POST['PAYRA_IsOK']) ) {
		update_option( 'PAYRA_IsOK', $_POST['PAYRA_IsOK'] );
	}
  
	if ( isset($_POST['PAYRA_IsError']) ) {
		update_option( 'PAYRA_IsError', $_POST['PAYRA_IsError'] );
	}
	
  if ( isset($_POST['PAYRA_Unit']) ) {
		update_option( 'PAYRA_Unit', $_POST['PAYRA_Unit'] );
	}
  
  if ( isset($_POST['PAYRA_UseCustomStyle']) ) {
		update_option( 'PAYRA_UseCustomStyle', 'true' );
    
    if ( isset($_POST['PAYRA_CustomStyle']) )
    {
      update_option( 'PAYRA_CustomStyle', strip_tags($_POST['PAYRA_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'PAYRA_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - خدمات پرداخت پی را</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("PAYRA_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="PAYRA_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'PAYRA_MerchantID'); ?>" id="PAYRA_MerchantID" name="PAYRA_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="PAYRA_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'PAYRA_IsOK'); ?>" id="PAYRA_IsOK" name="PAYRA_IsOK"></td>
      </tr>
      <tr>
        <th><label for="PAYRA_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'PAYRA_IsError'); ?>" id="PAYRA_IsError" name="PAYRA_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="PAYRA_Unit">واحد پول</label></th>
        <td>
          <?php $PAYRA_Unit = get_option( 'PAYRA_Unit'); ?>
          <select id="PAYRA_Unit" name="PAYRA_Unit">
            <option <?php if($PAYRA_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($PAYRA_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $PAYRA_UseCustomStyle = get_option('PAYRA_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="PAYRA_UseCustomStyle" id="PAYRA_UseCustomStyle" value="true" <?php echo $PAYRA_UseCustomStyle ?> /><label for="PAYRA_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="PAYRA_CustomStyleBox" <?php if(get_option('PAYRA_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="PAYRA_CustomStyle" id="PAYRA_CustomStyle"><?php echo get_option('PAYRA_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#PAYRA_UseCustomStyle").change(function(){
      if(jQuery("#PAYRA_UseCustomStyle").prop('checked') == true)
        jQuery("#PAYRA_CustomStyleBox").show(500);
      else
        jQuery("#PAYRA_CustomStyleBox").hide(500);
    });
  }
</script>

